﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true" CodeFile="MyProfile.aspx.cs" Inherits="MyProfile" Title="My Profile" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
	<style type="text/css">
		.style1
		{
			width: 100%;
		}
  </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContent" Runat="Server">
  <h1>My Profile</h1>
  <p>The My Profile page allows you to make changes to your personal profile. Besides changing your password, you can also tell us a bit about yourself.</p>
  <table class="style1">
		<tr>
			<td>
				<asp:Label ID="lblFirstName" runat="server" AssociatedControlID="txtFirstName" Text="First Name"></asp:Label>
			</td>
			<td>
				<asp:TextBox ID="txtFirstName" runat="server"></asp:TextBox>
			</td>
			<td>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtFirstName" Display="Dynamic" ErrorMessage="First name is required."></asp:RequiredFieldValidator>
			</td>
		</tr>
		<tr>
			<td>
				<asp:Label ID="lblLastName" runat="server" AssociatedControlID="txtLastName" Text="Last Name"></asp:Label>
			</td>
			<td>
				<asp:TextBox ID="txtLastName" runat="server"></asp:TextBox>
			</td>
			<td>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtLastName" Display="Dynamic" ErrorMessage="Last name is required."></asp:RequiredFieldValidator>
			</td>
		</tr>
		<tr>
			<td>
				<asp:Label ID="lblDateOfBirth" runat="server" AssociatedControlID="txtDateOfBirth" Text="Date of Birth"></asp:Label>
			</td>
			<td>
				<asp:TextBox ID="txtDateOfBirth" runat="server"></asp:TextBox>
			</td>
			<td>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtDateOfBirth" Display="Dynamic" ErrorMessage="Date of birth is required."></asp:RequiredFieldValidator>
				<asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="txtDateOfBirth" ErrorMessage="Please enter a valid date. " Display="Dynamic" Operator="DataTypeCheck" Type="Date"></asp:CompareValidator>
			</td>
		</tr>
		<tr>
			<td>
				<asp:Label ID="lblBio" runat="server" AssociatedControlID="txtBio" Text="Biography"></asp:Label>
			</td>
			<td>
				<asp:TextBox ID="txtBio" runat="server" Height="75px" TextMode="MultiLine" Width="300px"></asp:TextBox>
			</td>
			<td>
				&nbsp;</td>
		</tr>
		<tr>
			<td>
				<asp:Label ID="Label1" runat="server" Text="Favorite Genres"></asp:Label>
			</td>
			<td>
				<asp:CheckBoxList ID="CheckBoxList1" runat="server" DataSourceID="LinqDataSource1" DataTextField="Name" DataValueField="Id" ondatabound="CheckBoxList1_DataBound">
				</asp:CheckBoxList>
				<asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="PlanetWroxDataContext" OrderBy="Name" Select="new (Id, Name)" TableName="Genres">
				</asp:LinqDataSource>
			</td>
			<td>
				&nbsp;</td>
		</tr>
		<tr>
			<td>
				&nbsp;</td>
			<td>
				<asp:Button ID="btnSave" runat="server" Text="Save Profile" onclick="btnSave_Click" />
			</td>
			<td>
				&nbsp;</td>
		</tr>
	</table>
	<br />
  <asp:ChangePassword ID="ChangePassword1" runat="server"></asp:ChangePassword>
</asp:Content>

