﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" Title="My Favorite Reviews" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContent" Runat="Server">
  <asp:Repeater ID="Repeater1" runat="server">
    <HeaderTemplate>
      <p>Below you find a list with Reviews for your favorite music genres.</p>
    </HeaderTemplate>
    <ItemTemplate>
      <h3><asp:Literal ID="Literal1" runat="server" Text='<%# Eval("Name") %>'></asp:Literal></h3>
      <asp:Repeater ID="Repeater2" runat="server" DataSource='<%# Eval("Reviews")%>'>
        <ItemTemplate>
          <asp:HyperLink ID="HyperLink1" runat="server" Text='<%# Eval("Title") %>' NavigateUrl='<%# "ViewDetails.aspx?ReviewId=" + Eval("Id").ToString() %>'>
          </asp:HyperLink><br />
        </ItemTemplate>
      </asp:Repeater>
    </ItemTemplate>
  </asp:Repeater>
  <asp:PlaceHolder ID="plcNoRecords" runat="Server" Visible="False">
    <p>Sorry, no Reviews were found. You either didn't set your favorite genres or you may need to log in first. </p>
  </asp:PlaceHolder>
  <p>You can change your genre preferences <a href="~/MyProfile.aspx" runat="server">here</a>.</p>
</asp:Content>

