﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ViewDetails : BasePage
{
	protected void Page_Load(object sender, EventArgs e)
	{
		int reviewId = Convert.ToInt32(Request.QueryString.Get("ReviewId"));
		Review myReview;

		using (PlanetWroxDataContext db = new PlanetWroxDataContext())
		{
			myReview = (from r in db.Reviews
									where r.Id == reviewId
									select r).Single();

			lblTitle.Text = myReview.Title;
			lblSummary.Text = myReview.Summary;
			lblBody.Text = myReview.Body;

			// Set the page title programmatically
			this.Title = myReview.Title;
		}
	}
}
