﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Events : BasePage
{
  protected void Page_Load(object sender, EventArgs e)
  {
		WriteMessage("Page_Load");
  }
	protected void Button1_Click(object sender, EventArgs e)
	{
		WriteMessage("Button1_Click");
	}
	protected void GridView1_Sorted(object sender, EventArgs e)
	{
		WriteMessage("GridView1_Sorted");
	}
	protected void GridView1_Sorting(object sender, GridViewSortEventArgs e)
	{
		WriteMessage("GridView1_Sorting");
	}
	protected void GridView1_RowCreated(object sender, GridViewRowEventArgs e)
	{
		WriteMessage("GridView1_RowCreated");
	}
	protected void GridView1_DataBinding(object sender, EventArgs e)
	{
		WriteMessage("GridView1_DataBinding");
	}
	protected void GridView1_DataBound(object sender, EventArgs e)
	{
		WriteMessage("GridView1_DataBound");
	}
	protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
	{
		WriteMessage("GridView1_RowDataBound");
	}
	protected void LinqDataSource1_ContextCreating(object sender, LinqDataSourceContextEventArgs e)
	{
		WriteMessage("LinqDataSource1_ContextCreating");
	}
	protected void LinqDataSource1_Selecting(object sender, LinqDataSourceSelectEventArgs e)
	{
		WriteMessage("LinqDataSource1_Selecting");
	}

	protected void Page_PreRenderComplete(object sender, EventArgs e)
	{
		WriteMessage("Page_PreRenderComplete<br />-----------------");
	}

	private void WriteMessage(string handlerName)
	{
		if (Page.IsPostBack)
		{
			lblPostback.Text += handlerName + "<br />";
		}
		else
		{
			lblNoPostback.Text += handlerName + "<br />";
		}
	}

}
