﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Default : BasePage
{
  protected void Page_Load(object sender, EventArgs e)
  {
		using (PlanetWroxDataContext myDatabaseContext = new PlanetWroxDataContext())
		{
			var favGenres = from genre in myDatabaseContext.Genres
											orderby genre.Name
											where Profile.FavoriteGenres.Contains(genre.Id)
											select new { genre.Name, genre.Reviews };
			Repeater1.DataSource = favGenres;
			Repeater1.DataBind();

			Repeater1.Visible = Repeater1.Items.Count > 0;
			plcNoRecords.Visible = Repeater1.Items.Count == 0;
		}

  }
}
