﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Controls_Banner : System.Web.UI.UserControl
{
  protected void Page_Load(object sender, EventArgs e)
  {
    pnlHorizontal.Visible = false;
    pnlVertical.Visible = false;

    switch (DisplayDirection)
    {
      case Direction.Horizontal:
        pnlHorizontal.Visible = true;
        lnkHorizontal.HRef = NavigateUrl;
        break;
      case Direction.Vertical:
        pnlVertical.Visible = true;
        lnkVertical.HRef = NavigateUrl;
        break;
    }
  }

  public Direction DisplayDirection { get; set; }

  public string NavigateUrl
  {
    get
    {
      object _navigateUrl = ViewState["NavigateUrl"];
      if (_navigateUrl != null)
      {
        return (string)_navigateUrl;
      }
      else
      {
        return "http://p2p.wrox.com";
      }
    }
    set
    {
      ViewState["NavigateUrl"] = value;
    }
  }
}
