﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Demos_CalculatorDemo : BasePage
{
  protected void Page_Load(object sender, EventArgs e)
  {

  }
  protected void btnCalculate_Click(object sender, EventArgs e)
  {
    if (txtValue1.Text.Length > 0 && txtValue2.Text.Length > 0)
    {
      double result = 0;
      double value1 = Convert.ToDouble(txtValue1.Text);
      double value2 = Convert.ToDouble(txtValue2.Text);

      Calculator myCalculator = new Calculator();
      switch (lstOperator.SelectedValue)
      {
        case "+":
          result = myCalculator.Add(value1, value2);
          break;
        case "-":
          result = myCalculator.Subtract(value1, value2);
          break;
        case "*":
          result = myCalculator.Multiply(value1, value2);
          break;
        case "/":
          result = myCalculator.Divide(value1, value2);
          break;
      }
      lblResult.Text = result.ToString();
    }
    else
    {
      lblResult.Text = string.Empty;
    }
  }
}
