﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class All : BasePage
{
  protected void Page_Load(object sender, EventArgs e)
  {
		using (PlanetWroxDataContext myDataContext = new PlanetWroxDataContext())
		{
			var allReviews = from review in myDataContext.Reviews
											 where review.Authorized == true
											 orderby review.CreateDateTime descending
											 select review;

			GridView1.DataSource = allReviews;
			GridView1.DataBind();
		}
  }
}
