﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" Title="All Photo Albums" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContent" runat="Server">
	<asp:UpdatePanel ID="UpdatePanel1" runat="server">
		<ContentTemplate>
			<asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True" DataSourceID="LinqDataSource1" DataTextField="Name" DataValueField="Id">
			</asp:DropDownList>
			<asp:ListView ID="ListView1" runat="server" DataKeyNames="Id" DataSourceID="LinqDataSource2" onitemcreated="ListView1_ItemCreated">
				<LayoutTemplate>
					<ul class="itemContainer">
						<li id="itemPlaceholder" runat="server" />
					</ul>
					<div style="">
						<asp:DataPager ID="DataPager1" runat="server" PageSize="3">
							<Fields>
								<asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" ShowLastPageButton="True" />
							</Fields>
						</asp:DataPager>
					</div>
				</LayoutTemplate>
				<EmptyDataTemplate>
					No data was returned.
				</EmptyDataTemplate>
				<ItemTemplate>
					<li>
						<asp:Image ID="Image1" runat="server" ImageUrl='<%# Eval("ImageUrl") %>' ToolTip='<%# Eval("ToolTip") %>' />
						<asp:Label ID="DescriptionLabel" runat="server" Text='<%# Eval("Description") %>' />
					  <asp:Button ID="DeleteButton" CommandName="Delete" runat="server" Text="Delete" />
					</li>
				</ItemTemplate>
			</asp:ListView>
			<asp:LinqDataSource ID="LinqDataSource2" runat="server" ContextTypeName="PlanetWroxDataContext" TableName="Pictures" Where="PhotoAlbumId == @PhotoAlbumId" EnableDelete="True">
				<WhereParameters>
					<asp:ControlParameter ControlID="DropDownList1" Name="PhotoAlbumId" PropertyName="SelectedValue" Type="Int32" />
				</WhereParameters>
			</asp:LinqDataSource>
			<asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="PlanetWroxDataContext" Select="new (Id, Name)" TableName="PhotoAlbums">
			</asp:LinqDataSource>
		</ContentTemplate>
	</asp:UpdatePanel>
</asp:Content>
