﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/ManagementMaster.master" AutoEventWireup="true" CodeFile="Reviews.aspx.cs" Inherits="Management_Reviews" Title="Planet Wrox - Management - Reviews" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContent" runat="Server">
	<asp:UpdatePanel ID="UpdatePanel1" runat="server">
		<ContentTemplate>
			<asp:DropDownList ID="DropDownList1" runat="server" AppendDataBoundItems="True" AutoPostBack="True" DataSourceID="SqlDataSource1" DataTextField="Name" DataValueField="Id">
				<asp:ListItem Value="">Please make a selection</asp:ListItem>
			</asp:DropDownList>
			<asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataSourceID="SqlDataSource2" onrowdatabound="GridView1_RowDataBound" DataKeyNames="Id">
				<Columns>
					<asp:HyperLinkField DataNavigateUrlFields="Id" DataNavigateUrlFormatString="AddEditReview.aspx?Id={0}" DataTextField="Title" HeaderText="Title" />
					<asp:TemplateField HeaderText="Authorized" SortExpression="Authorized">
						<ItemTemplate>
							<asp:Label ID="lblAuthorized" runat="server" Text='<%# GetBooleanText(Eval("Authorized")) %>' />
						</ItemTemplate>
					</asp:TemplateField>
					<asp:BoundField DataField="CreateDateTime" DataFormatString="{0:g}" HeaderText="CreateDateTime" SortExpression="CreateDateTime" />
					<asp:CommandField HeaderText="Delete" ShowDeleteButton="True" />
				</Columns>
			</asp:GridView>
			<a href="AddEditReview.aspx">Insert New Review</a><asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:PlanetWroxConnectionString1 %>" SelectCommand="SELECT [Id], [Title], [Authorized], [CreateDateTime] FROM [Review] WHERE ([GenreId] = @GenreId)" DeleteCommand="DELETE FROM [Review] WHERE [Id] = @Id" InsertCommand="INSERT INTO [Review] ([Title], [Authorized], [CreateDateTime]) VALUES (@Title, @Authorized, @CreateDateTime)" UpdateCommand="UPDATE [Review] SET [Title] = @Title, [Authorized] = @Authorized, [CreateDateTime] = @CreateDateTime WHERE [Id] = @Id">
				<SelectParameters>
					<asp:ControlParameter ControlID="DropDownList1" Name="GenreId" PropertyName="SelectedValue" Type="Int32" />
				</SelectParameters>
				<DeleteParameters>
					<asp:Parameter Name="Id" Type="Int32" />
				</DeleteParameters>
				<UpdateParameters>
					<asp:Parameter Name="Title" Type="String" />
					<asp:Parameter Name="Authorized" Type="Boolean" />
					<asp:Parameter Name="CreateDateTime" Type="DateTime" />
					<asp:Parameter Name="Id" Type="Int32" />
				</UpdateParameters>
				<InsertParameters>
					<asp:Parameter Name="Title" Type="String" />
					<asp:Parameter Name="Authorized" Type="Boolean" />
					<asp:Parameter Name="CreateDateTime" Type="DateTime" />
				</InsertParameters>
			</asp:SqlDataSource>
			<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:PlanetWroxConnectionString1 %>" SelectCommand="SELECT [Id], [Name] FROM [Genre] ORDER BY [SortOrder]"></asp:SqlDataSource>
		</ContentTemplate>
	</asp:UpdatePanel>
</asp:Content>
