﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class AllByGenre : BasePage
{
  protected void Page_Load(object sender, EventArgs e)
  {
		using (PlanetWroxDataContext myDataContext = new PlanetWroxDataContext())
		{
			var allGenres = from genre in myDataContext.Genres
											orderby genre.Name
											select new { genre.Name, genre.Reviews };

			Repeater1.DataSource = allGenres;
			Repeater1.DataBind();
		}
	}
}
